const path = require('path');

const commonConfig = {
    mode: "production",
    module: {
      rules: [
          {
              test: /\.(html|ico)$/,
              use: [{
                  loader: 'file-loader',
                  options: { name: '[name].[ext]' }
              }]
          },{
              test: /\.scss$/,
              use: [
                  'style-loader',
                  {
                      loader: 'css-loader',
                      options: {
                          modules: {
                              localIdentName:'[local]'
                          }
                      }
                  },
                  'sass-loader'
              ]
          }
      ]
    },
    resolve: {
        modules: [
            'node_modules',
            path.resolve(__dirname, 'build/src/')
        ],
        fallback: {
            fs: false,
            buffer: require.resolve('buffer'),
            crypto: require.resolve('crypto-browserify'),
            path: require.resolve('path-browserify'),
            stream: require.resolve('stream-browserify')
        }
    }
};

const out_path = "build/TmFeatureViewer";
const examples = [];

examples.push({
    ...commonConfig,
    entry: {
        "tm-saguaro": './lib/TmFv3DApp/index.js'
    },
    output: {
        filename: '[name].js',
        path: path.resolve(__dirname, out_path),
        library: {
            name: 'tmSaguaro',
            type: 'umd'
        }
    }
});

module.exports = examples;
